#include <bits/stdc++.h>

using namespace std;

int main(){
	int n, k;
	cin>>n>>k;
	int a[2*n+1];
	vector<int> o;
	for(int i =0; i<2*n+1;i++){a[i]=0;}
	for(int i =0; i<n;i++){
		int t;
		cin>>t;
		a[t+n]++;
		if(a[t+n]==k){
			o.push_back(t+n);
		}
	}
	cout<<o.size()<<endl;
	for(int i =0; i<o.size();i++){
		cout<<o[i]-n<<" ";
	}
	return 0;
}